GET
/
v1
/
applications
Get the current application
curl --request GET \
  --url https://api.next.orenda.finance/v1/applications \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.next.orenda.finance/v1/applications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.next.orenda.finance/v1/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "application": {
      "applicationId": "app_5e8d2f1a",
      "customerId": "cust_3f9a2b7e",
      "isCompany": false,
      "workflowStage": "KYC_COLLECTED",
      "onboardingV3": true,
      "status": {
        "currentStep": "KYC_SUMSUB",
        "nextStep": "RISK",
        "requiredActions": [
          "complete-sumsub-kyc"
        ]
      },
      "primaryApplicant": {
        "firstName": "Ada",
        "lastName": "Lovelace",
        "email": "ada.lovelace@example.com"
      },
      "createdDateTime": "2026-06-18T10:32:00Z",
      "updatedAt": "2026-06-18T10:44:12Z"
    },
    "status": {
      "currentStep": "KYC_SUMSUB",
      "nextStep": "RISK",
      "requiredActions": [
        "complete-sumsub-kyc"
      ]
    }
  }
}
{
"success": false,
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}
{
"success": false,
"code": "RESOURCE_NOT_FOUND",
"message": "Application not found"
}
{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

The user's access_token from authentication. The program and environment (sandbox/prod) are read from the token.

Response

The current application and its status

success
boolean
Example:

true

data
object